//
//  setup_cutter_dlg.cpp - setup cutter dialog class implementation
//
//  $Id: setup_cutter_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupCutterDlg dialog
//
CSetupCutterDlg::CSetupCutterDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupCutterDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupCutterDlg)
	m_CutterAccel = "";
	m_CutterDecel = "";
	m_CutterOffset = "";
	m_CutterScale = "";
	m_CutterSpeed = "";
	m_CutterAxisNum = 0;
	m_CutterLowerMCode = 0;
	m_CutterRaiseMCode = 0;
	m_CutterLowerMacro = 0;
	m_CutterRaiseMacro = 0;
	//}}AFX_DATA_INIT
}

void CSetupCutterDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupCutterDlg)
	DDX_Text(pDX, IDC_CUTTER_ACCEL, m_CutterAccel);
	DDX_Text(pDX, IDC_CUTTER_DECEL, m_CutterDecel);
	DDX_Text(pDX, IDC_CUTTER_OFFSET, m_CutterOffset);
	DDX_Text(pDX, IDC_CUTTER_SCALE, m_CutterScale);
	DDX_Text(pDX, IDC_CUTTER_SPEED, m_CutterSpeed);
	DDX_Text(pDX, IDC_CUTTERAXISNUM, m_CutterAxisNum);
	DDV_MinMaxInt(pDX, m_CutterAxisNum, 0, 6);
	DDX_Text(pDX, IDC_CUTTER_LOWER_MCODE, m_CutterLowerMCode);
	DDX_Text(pDX, IDC_CUTTER_RAISE_MCODE, m_CutterRaiseMCode);
	DDX_Text(pDX, IDC_CUTTER_LOWER_MACRO, m_CutterLowerMacro);
	DDX_Text(pDX, IDC_CUTTER_RAISE_MACRO, m_CutterRaiseMacro);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupCutterDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupCutterDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetupCutterDlg message handlers
